GemFireException (Apache Geode 1.15.4)

org.apache.geode

## Class GemFireException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CacheException, CacheRuntimeException, CompressionException, CopyException, DependenciesNotFoundException, DuplicatePrimaryPartitionException, FunctionException, GemFireCacheException, GemFireConfigException, GemFireIOException, GemFireSecurityException, IncompatibleSystemException, IndexInvalidException, InternalGemFireException, InvalidDeltaException, InvalidValueException, InvalidVersionException, JSONFormatterException, LeaseExpiredException, LuceneIndexDestroyedException, LuceneIndexExistsException, LuceneIndexNotFoundException, ManagementException, NoSystemException, PartitionNotAvailableException, PartitionOfflineException, PdxConfigurationException, PdxFieldAlreadyExistsException, PdxFieldDoesNotExistException, PdxFieldTypeMismatchException, PdxInitializationException, PdxRegistryMismatchException, PersistentReplicatesOfflineException, QueryInvalidException, RevokedPersistentDataException, RevokeFailedException, RuntimeAdminException, ServerConnectivityException, SystemConnectException, SystemIsRunningException, UnmodifiableException

      public abstract class GemFireException
      extends RuntimeException

  This is the abstract superclass of exceptions that are thrown to indicate incorrect usage of GemFire.

  Since these exceptions are unchecked, this class really ought to be called `GemFireRuntimeException`; however, the current name is retained for compatibility's sake.

  This class is abstract to enforce throwing more specific exception types. Please avoid using GemFireException to describe an arbitrary error condition

  See Also:
    `GemFireCheckedException`, `CacheRuntimeException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GemFireException()` Creates a new `GemFireException` with no detailed message.
    `GemFireException(String message)` Creates a new `GemFireException` with the given detail message.
    `GemFireException(String message, Throwable cause)` Creates a new `GemFireException` with the given detail message and cause.
    `GemFireException(Throwable cause)` Creates a new `GemFireException` with the given cause and no detail message

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getRootCause()` Returns the root cause of this `GemFireException` or `null` if the cause is nonexistent or unknown.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GemFireException

          public GemFireException()

      Creates a new `GemFireException` with no detailed message.

    - #### GemFireException

          public GemFireException(String message)

      Creates a new `GemFireException` with the given detail message.
      Parameters:
        `message` - the detail message

    - #### GemFireException

          public GemFireException(String message,
                                  Throwable cause)

      Creates a new `GemFireException` with the given detail message and cause.
      Parameters:
        `message` - the detail message
        `cause` - the cause

    - #### GemFireException

          public GemFireException(Throwable cause)

      Creates a new `GemFireException` with the given cause and no detail message
      Parameters:
        `cause` - the cause

  - ### Method Detail

    - #### getRootCause

          public Throwable getRootCause()

      Returns the root cause of this `GemFireException` or `null` if the cause is nonexistent or unknown.
      Returns:
        The root cause of this `GemFireException` or `null` if the cause is nonexistent or unknown